#141 oldnumeric module usage should be replaced before numpy 1.9 release


The numpy-1.8.0-rc2 release adds a warning...

/sw/lib/python2.6/site-packages/numpy/oldnumeric/init.py:11: ModuleDeprecationWarning: The oldnumeric module will be dropped in Numpy 1.9
warnings.warn(_msg, ModuleDeprecationWarning)

which appears when pymol r4045 is launched. The usage of the oldnumeric module in pymol introduced to fix https://sourceforge.net/p/pymol/bugs/99/ should be replaced with modernized calls to numpy's other modules sometime before numpy 1.9 is released.


  • Jack Howarth

    Jack Howarth - 2013-10-17

    The attached patch for modules/pymol/opengl/init.py, modules/pymol/opengl/gl/init.py and modules/pymol/opengl/glu/init.py to deprecate the use of the oldnumeric numpy module and substitute the modern equivalents seems to be sufficient to solve this problem.

  • Thomas Holder

    Thomas Holder - 2013-10-17

    Hi Jack, thanks for the patch. But I think we rather drop the pymol.opengl module completely. The PyOpenGL module (http://pyopengl.sourceforge.net/) seems to be a 1:1 replacement, and all the scripts in pymol/examples/devel/gl* use the PyOpenGL module rather than pymol.opengl.

  • Thomas Holder

    Thomas Holder - 2013-10-22
    • status: open --> closed
    • assigned_to: Thomas Holder

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

No, thanks